Page MenuHomePhabricator

consider transition from XChat to HexChat
Closed, ResolvedPublic

Description

A user on IRC reported, that XChat is no longer maintained upstream and that there is a actively maintained replacement called HexChat.

https://packages.debian.org/jessie/hexchat

TODO:

  • Learn more about HexChat, check if we should and can replace XChat with HexChat

Depending on that, TODO:

Forum discussion:
https://forums.whonix.org/t/xchat-outdated-app-still-considered-safe-to-use/1647

Details

Impact
Needs Triage

Event Timeline

Patrick created this task.Jan 7 2015, 3:26 PM
Patrick raised the priority of this task from to Needs Triage.
Patrick updated the task description. (Show Details)
Patrick added subscribers: Patrick, HulaHoop.
Patrick triaged this task as Normal priority.Jan 7 2015, 3:33 PM
Patrick updated the task description. (Show Details)Nov 20 2015, 2:09 PM
Patrick set Impact to Needs Triage.

hexchat AppArmor profile for better security:
https://github.com/hexchat/hexchat/issues/1577

Patrick changed the task status from Open to Review.Jan 4 2016, 11:11 PM

Added a bunch of commits to https://github.com/Whonix/xchat-improved-privacy. Both, https://github.com/Whonix/xchat-improved-privacy and https://github.com/Whonix/apparmor-profile-xchat do now also support HexChat. This was the simpler solution than renaming these packages.

transition from xchat to hexchat

have anon-workstation-default-applications depend on hexchat rather than xchat

https://github.com/Whonix/anon-meta-packages/commit/c3e851fb58370ee1aeb06428c00428d6f06097af

TODO:
Check if HexChat has all the expected privacy settings after a new build.

Patrick closed this task as Resolved.Apr 29 2016, 6:56 AM
Patrick claimed this task.